Page MenuHomeFreeBSD

graphics/netpbm: Update to 10.80.00
ClosedPublic

Authored by tobik on Jun 12 2017, 1:46 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Feb 19, 9:18 AM
Unknown Object (File)
Jan 18 2024, 1:44 PM
Unknown Object (File)
Jan 18 2024, 3:20 AM
Unknown Object (File)
Jan 10 2024, 1:50 AM
Unknown Object (File)
Jan 8 2024, 3:53 AM
Unknown Object (File)
Dec 29 2023, 3:32 AM
Unknown Object (File)
Dec 29 2023, 3:32 AM
Unknown Object (File)
Dec 29 2023, 3:32 AM
Subscribers
None

Details

Summary
Update to 10.80.00

- This moves netpbm to the advanced release series, which brings the
  port closer to what is available on Fedora, Arch Linux, openSUSE, etc.
  and will let us get rid of patches for supporting newer libpng versions.
- The advanced release series is only available via an SVN checkout.
  Add two maintenance targets netpbm-version-check and netpbm-fetch
  to make fetching them easier.  To generate release tarballs the sources
  are then tagged and committed to https://github.com/t6/netpbm
- Add STATIC option for linking all programs statically to allow running them
  in small chroots
- Add option to disable adding a Perl run dependency.  Only a fraction
  of all programs need it.  Some are compatibility shims for newer
  programs which should be used instead.  The following programs require
  Perl: pamfixtrunc pbmtox10bm pgmcrater pnmflip pnmquant pnmquantall ppmfade
  ppmquant ppmrainbow ppmshadow
- Disable building svgtopam by default.  It's the only program that
  requires libxml2 and is obsolete according to the author.
- Install manpages by default
- Allow running of the test suite via `make test`
- Headers have been moved to ${LOCALBASE}/include/netpbm.  Fix ports
  that expect them to be in ${LOCALBASE}/include

Changes:	https://raw.githubusercontent.com/t6/netpbm/v10.80.00/doc/HISTORY
Approved by:	??? (mentor)
Differential Revision:	https://reviews.freebsd.org/D?????

This depends on the change to ghostscript.mk from D11114.

Test Plan

poudriere testport 11.0/amd64, 10.3/i386 ok

Test builds of ports that have a default lib or build dependency on
netpbm also ok on 11.0/amd64:

astro/astrometry
astro/xplanet
graphics/gocr
graphics/ppminfo
graphics/tumble
graphics/urt
misc/auto-multiple-choice
multimedia/subtitleripper
palm/imgvtopgm
palm/ppmtoTbmp
print/photoprint
science/jstrack

devel/monotone-viz
emulators/kcemu
emulators/lisaem
games/burrtools
games/galaxyhack
net-p2p/tribler
print/lilypond
print/lilypond-devel
textproc/groff
textproc/latex2html
textproc/sowing

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Add missing graphics/urt patch

Also, where have the man pages gone ? This is FreeBSD, not Linux, we ship man pages :-)

graphics/netpbm/Makefile
63 ↗(On Diff #29491)

Mmmm, you're saying that a few things need Perl, so if WITHOUT=PERL, they should not be installed, so I should see some %%PERL%% in the pkg-plist file, no ?

68 ↗(On Diff #29491)

Please, keep options helpers sorted.

  • Add MANPAGES option back. This time as default option.
  • Sort options helper
  • Don't install perl scripts when PERL=off

Readd svgtopam and pamx to pkg-plist...

graphics/netpbm/Makefile
29 ↗(On Diff #29553)

If this is the MANPAGES options, it should probably be MANPAGES_GH_TUPLE

  • Use MANPAGES_GH_TUPLE
  • Also install section 3 and 5 manpages...

And remove Mk/Uses/ghostscript.mk from this review again

  • Don't install some broken man pages
  • Fix static build of pamx (STATIC+X11)

This is looking better and better.

I wonder, an exp-run may be a good idea to make sure it does not break anything.

graphics/netpbm/pkg-plist
455 ↗(On Diff #29597)

This should probably be:

%%PERL%%​%%MANPAGES%%man/man1/pamfixtrunc.1.gz

same for the other man pages that references some Perl script that is only installed by the Perl option.

  • Only install Perl-based program man pages when PERL=on
In D11157#231562, @mat wrote:

This is looking better and better.

I wonder, an exp-run may be a good idea to make sure it does not break anything.

Ok, I've requested an exp-run for this and D11114: https://bugs.freebsd.org/219982

  • Fix astro/xplanet which doesn't link with libnetpbm anymore

Update to 10.79.02 (which requires one less patch)

tobik retitled this revision from graphics/netpbm: Update to 10.78.05 to graphics/netpbm: Update to 10.79.02.Jul 10 2017, 10:16 PM
tobik edited the summary of this revision. (Show Details)

I'm accepting this so that you can commit it, but as you updated netpbm, it may be necessary to do the exp-run again.

This revision is now accepted and ready to land.Jul 11 2017, 12:16 PM

Was the exp-run done already?

  • Update to netpbm 10.80.00

Was the exp-run done already?

No, it's still pending a successful exp-run... See
https://bugs.freebsd.org/219982.

This revision now requires review to proceed.Sep 30 2017, 9:57 PM
tobik retitled this revision from graphics/netpbm: Update to 10.79.02 to graphics/netpbm: Update to 10.80.00.Sep 30 2017, 9:58 PM
tobik edited the summary of this revision. (Show Details)
This revision was automatically updated to reflect the committed changes.